package cn.gygxzc.envir.sys.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.data.redis.connection.RedisStandaloneConfiguration;

/**
 * @program: Zen-Framework
 * @description: ${description}
 * @author: tuonina
 * @create: 2018-09-20 21:23
 **/
@ConfigurationProperties(prefix = "shiro.redis")
public class ShiroRedisCacheProperties extends RedisStandaloneConfiguration {

    /**
     * 是否启动该redis缓存
     */
    private boolean enable = true;

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public boolean isEnable() {
        return enable;
    }
}
