package cn.gygxzc.envir.sys.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.time.Duration;

/**
 * @program: Zen-Framework
 * @description: ${description}
 * @author: tuonina
 * @create: 2018-09-20 21:52
 **/
@ConfigurationProperties(prefix = "shiro.session")
public class ShiroSessionProperties {

    private String prefix;
    private Duration expired = Duration.ofDays(1);
    private String jwtKey;


    public void setJwtKey(String jwtKey) {
        this.jwtKey = jwtKey;
    }

    public String getJwtKey() {
        return jwtKey;
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public Duration getExpired() {
        return expired;
    }

    public void setExpired(Duration expired) {
        this.expired = expired;
    }
}
