package com.gxzc.zen.logging.annotation

/**
 * <p>
 * 使用在Controller方法上<br>
 * 用于配置 请求日志
 * </p>
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
@Target(AnnotationTarget.FUNCTION)
@Retention(AnnotationRetention.RUNTIME)
annotation class LogAnnotation(val ignore: Boolean = false, val remark: String = "")