package com.gxzc.zen.logging.model

import java.io.Serializable
import java.util.*

/**
 *
 * @author NorthLan
 * @date 2018/8/23e
 * @url https://noahlan.com
 */
open class LogBiz : Serializable {
    companion object {
        private const val serialVersionUID = 10000000000000004L
    }

    /**
     * 平台ID
     */
    var platformId: Int? = null
    /**
     * 业务ID
     */
    var bizCode: String? = null

    /**
     * 业务内容(需自行组装)
     */
    var bizContent: String? = null

    /**
     * 操作人account
     */
    var operatorAccount: String? = null

    /**
     * 操作人name
     */
    var operatorName: String? = null

    /**
     * 业务开始时间
     */
    var operatorStartTime: Date = Date()

    /**
     * 业务结束时间
     */
    var operatorEndTime: Date = Date()

    /**
     * 备注
     */
    var remark: String? = null
}