package cn.gygxzc.tina.orm.injector.method

import cn.gygxzc.tina.orm.injector.enums.SqlMethodCopy
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.metadata.TableInfo
import org.apache.ibatis.mapping.MappedStatement

/**
 * Created by niantuo on 2018/9/29.
 */

class DeleteByMap : AbstractMethod() {
    override fun injectMappedStatement(mapperClass: Class<*>, modelClass: Class<*>, tableInfo: TableInfo): MappedStatement {
        val sqlMethod = SqlMethodCopy.DELETE_BY_MAP
        val sqlSource = languageDriver.createSqlSource(configuration, String.format(sqlMethod.sql,
                tableInfo.tableName, this.sqlWhereByMap(tableInfo)), modelClass)
        return this.addDeleteMappedStatement(mapperClass, sqlMethod.method, sqlSource)
    }

}