package cn.gygxzc.tina.orm.injector.method

import cn.gygxzc.tina.orm.injector.enums.SqlMethodCopy
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.metadata.TableInfo
import org.apache.ibatis.mapping.MappedStatement

/**
 * Created by niantuo on 2018/9/29.
 */

class SelectList : AbstractMethod() {
    override fun injectMappedStatement(mapperClass: Class<*>, modelClass: Class<*>, tableInfo: TableInfo): MappedStatement {
        val sqlMethod = SqlMethodCopy.SELECT_LIST
        val sql = String.format(sqlMethod.sql, sqlSelectColumns(tableInfo, true),
                tableInfo.tableName, this.sqlWhereEntityWrapper(tableInfo))
        val sqlSource = languageDriver.createSqlSource(configuration, sql, modelClass)
        return this.addSelectMappedStatement(mapperClass, sqlMethod.method, sqlSource, modelClass, tableInfo)
    }
}