package cn.gygxzc.tina.orm.injector.method

import cn.gygxzc.tina.orm.injector.enums.SqlMethodCopy
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.metadata.TableInfo
import com.baomidou.mybatisplus.core.toolkit.Constants
import org.apache.ibatis.mapping.MappedStatement

/**
 * Created by niantuo on 2018/9/29.
 */

class Update : AbstractMethod() {
    override fun injectMappedStatement(mapperClass: Class<*>, modelClass: Class<*>, tableInfo: TableInfo): MappedStatement {
        val sqlMethod = SqlMethodCopy.UPDATE
        val sql = String.format(sqlMethod.sql, tableInfo.tableName,
                sqlSet(false, true, tableInfo, Constants.ENTITY_SPOT), sqlWhereEntityWrapper(tableInfo))
        val sqlSource = languageDriver.createSqlSource(configuration, sql, modelClass)
        return this.addUpdateMappedStatement(mapperClass, modelClass, sqlMethod.method, sqlSource)
    }
}