package com.gxzc.zen.common.contants

/**
 * 系统常量
 * @author NorthLan
 * @date 2018/4/28
 * @url https://noahlan.com
 */
object ZenConstants {
    /*-------------------------------------------
    |                树 参 数                    |
    ============================================*/
    const val TREE_ROOT_PID = 0L
    const val TREE_PATH_SEPARATOR = "-"

    /*-------------------------------------------
    |                框架所需参数                 |
    ============================================*/
    const val CACHE_KEY_SYS = "sys"     // 系统缓存key
    const val TRUE = "1"
    const val FALSE = "0"

    /*-------------------------------------------
    |              系 统 参 数 KEY               |
    ============================================*/
    const val PARAMKEY_SUPER_ACCOUNT = "superAccount"
    /**
     * 系统数据权限开关
     */
    const val PARAMKEY_SYS_DA_ENABLED = "sysDAEnabled"

    /**
     * 用户数据权限开关
     */
    const val PARAMKEY_USER_DA_ENABLED = "userDAEnabled"

    /**
     * 角色数据权限开关
     */
    const val PARAMKEY_ROLE_DA_ENABLED = "roleDAEnabled"

    /**
     * 部门数据权限开关
     */
    const val PARAMKEY_DEPT_DA_ENABLED = "deptDAEnabled"

    /**
     * 岗位数据权限开关
     */
    const val PARAMKEY_POST_DA_ENABLED = "postDAEnabled"
}