package com.gxzc.zen.common.dto

import com.fasterxml.jackson.annotation.JsonFormat
import com.fasterxml.jackson.annotation.JsonInclude
import java.io.Serializable
import java.util.*


/**
 * 回执 数据传输对象
 * @author NorthLan
 * @date 2018/2/1
 * @url https://noahlan.com
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
open class ResponseDto : Serializable {
    companion object {
        private const val serialVersionUID = 1L
    }

    var data: Any? = null
    var code: Int? = 200

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var time: Date = Date()

    fun data(data: Any?): ResponseDto {
        this.data = data
        return this
    }
}