package cn.gygxzc.tina.cloud.bus.framweork.receiver;

import cn.gygxzc.tina.cloud.bus.constant.QueueName;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

/**
 * Created by niantuo on 2018/9/29.
 * 框架消息接收者，这个扯淡的
 */
@Component
@RabbitListener(queues = {QueueName.Framework})
public class FrameworkReceiver {

    private Logger logger = LoggerFactory.getLogger(FrameworkReceiver.class);

    /**
     * 接收消息处理
     *
     * @param receiver 消息实体类
     */
    @RabbitHandler
    public void process(FrameworkReceiver receiver) {
        logger.info("receive :{}", receiver);
    }
}
