package cn.gygxzc.envir.test.service;

import cn.gygxzc.envir.test.model.TestLog;

/**
 * Created by niantuo on 2018/9/30.
 */

public interface ITestLogService {

    /**
     * 添加数据
     *
     * @param log 添加数据
     */
    TestLog addLog(TestLog log);

    /**
     * 更新数据
     *
     * @param log 数据对象
     */
    void update(TestLog log);

    /**
     * 物理删除
     *
     * @param id 记录的id
     */
    void physicalDeleteById(long id);

    /**
     * 逻辑删除
     *
     * @param id 记录的id
     */
    void deleteById(long id);

}
