package cn.gygxzc.envir.sys.service

import cn.gygxzc.envir.sys.dto.LoginDto
import com.gxzc.zen.common.dto.ResponseDto
import org.springframework.cloud.openfeign.FeignClient
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RequestMethod

/**
 * Created by niantuo on 2018/9/21.
 * 登陆远程调用登陆系统的登录方法
 */
@FeignClient("sys")
interface ILoginService {

    /**
     * 登陆，返回jwt token验证
     */
    @RequestMapping(method = [RequestMethod.POST], value = ["/auth/v2/login"])
    fun login(@RequestBody dto: LoginDto): ResponseDto

}