package com.gxzc.zen.api.sys.common

import com.gxzc.zen.common.util.common.TreeNode

/**
 * 菜单树
 * @author NorthLan
 * @date 2018/4/28
 * @url https://noahlan.com
 */
class MenuTree : TreeNode() {
    companion object {
        const val serialVersionUID = 5640224091610000005L
    }

    /**
     * 菜单编码
     */
    var code: String? = null
    /**
     * 菜单类型（0:菜单组；1:菜单；）
     */
    var type: Int? = null
    /**
     * 菜单标题
     */
    var title: String? = null
    /**
     * 请求地址（前端）
     */
    var uri: String? = null
    /**
     * 图标名称
     */
    var icon: String? = null
    /**
     * 扩展字段1
     */
    var ext1: String? = null
    /**
     * 扩展字段2
     */
    var ext2: String? = null
    /**
     * 扩展字段3
     */
    var ext3: String? = null
    /**
     * 扩展字段4
     */
    var ext4: String? = null
    /**
     * 扩展字段5
     */
    var ext5: String? = null
}