package com.gxzc.zen.logging.model

import java.io.Serializable
import java.util.*

/**
 * 登录/登出 日志 data class
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
open class LogAuth : Serializable {
    companion object {
        private const val serialVersionUID = 10000000000000001L
    }

    /**
     * 类型
     */
    var type: Int = 1

    /**
     * 登陆方式
     */
    var method: Int = 1

    /**
     * 操作人account
     */
    var operatorAccount: String? = null

    /**
     * 操作人name
     */
    var operatorName: String? = null

    /**
     * 操作开始时间
     */
    var operatorStartTime: Date = Date()

    /**
     * 操作结束时间
     */
    var operatorEndTime: Date = Date()

    /**
     * 客户端host
     */
    var remoteHost: String? = null

    /**
     * 备注
     */
    var remark: String? = null
}