package com.gxzc.zen.logging.model

import java.io.Serializable
import java.util.*

/**
 * 数据库日志 model
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
open class LogDB : Serializable {
    companion object {
        private const val serialVersionUID = 10000000000000003L
    }

    /**
     * 平台ID
     */
    var platformId: Int? = null

    /**
     * 操作 类型
     */
    var type: Int = 1

    /**
     * 执行sql
     */
    var sql: String? = null

    /**
     * 表名
     */
    var tableId: String? = null

    /**
     * 表名 Comment中的
     */
    var tableName: String? = null

    /**
     * 操作人account
     */
    var operatorAccount: String? = null

    /**
     * 操作人name
     */
    var operatorName: String? = null

    /**
     * 操作开始时间
     */
    var operatorStartTime: Date = Date()

    /**
     * 操作结束时间
     */
    var operatorEndTime: Date = Date()

    /**
     * 备注
     */
    var remark: String? = null
}