package cn.gygxzc.tina.orm.injector.method

import cn.gygxzc.tina.orm.injector.enums.SqlMethodCopy
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.metadata.TableInfo
import org.apache.ibatis.mapping.MappedStatement

/**
 * Created by niantuo on 2018/9/29.
 * 在逻辑删除的大环境下实现物理删除
 */

class Delete : AbstractMethod() {
    override fun injectMappedStatement(mapperClass: Class<*>, modelClass: Class<*>, tableInfo: TableInfo): MappedStatement {
        val sqlMethod = SqlMethodCopy.DELETE
        val sql = String.format(sqlMethod.sql, tableInfo.tableName,
                sqlWhereEntityWrapper(tableInfo))
        val sqlSource = languageDriver.createSqlSource(configuration, sql, modelClass)
        return addUpdateMappedStatement(mapperClass, modelClass, sqlMethod.method, sqlSource)
    }

}