package cn.gygxzc.tina.orm.injector.method

import cn.gygxzc.tina.orm.injector.enums.SqlMethodCopy
import com.baomidou.mybatisplus.core.injector.AbstractMethod
import com.baomidou.mybatisplus.core.metadata.TableInfo
import com.baomidou.mybatisplus.core.toolkit.Constants
import com.baomidou.mybatisplus.core.toolkit.StringPool
import com.baomidou.mybatisplus.core.toolkit.sql.SqlScriptUtils
import org.apache.ibatis.mapping.MappedStatement

/**
 * Created by niantuo on 2018/9/29.
 */

class DeleteBatchIds : AbstractMethod() {
    override fun injectMappedStatement(mapperClass: Class<*>, modelClass: Class<*>, tableInfo: TableInfo): MappedStatement {
        val sqlMethod = SqlMethodCopy.DELETE_BATCH_BY_IDS
        val sql = String.format(sqlMethod.sql, tableInfo.tableName, tableInfo.keyColumn,
                SqlScriptUtils.convertForeach("#{item}", Constants.COLLECTION, null, "item", StringPool.COMMA))
        val sqlSource = languageDriver.createSqlSource(configuration, sql, modelClass)
        return this.addDeleteMappedStatement(mapperClass, sqlMethod.method, sqlSource)
    }
}