package com.gxzc.zen.common.util

import org.springframework.web.context.request.RequestContextHolder
import org.springframework.web.context.request.ServletRequestAttributes
import javax.servlet.http.HttpServletRequest
import javax.servlet.http.HttpServletResponse

/**
 * http工具类
 * @author NorthLan at 2018/2/8
 */
object HttpUtil {
    fun getRequest(): HttpServletRequest {
        return (RequestContextHolder.getRequestAttributes() as ServletRequestAttributes).request
    }

    fun getResponse(): HttpServletResponse? {
        return (RequestContextHolder.getRequestAttributes() as ServletRequestAttributes).response
    }

    fun getIp(): String {
        return getRequest().remoteHost
    }
}