package com.gxzc.zen.common.util

import java.security.MessageDigest
import java.security.NoSuchAlgorithmException


/**
 *
 * @author NorthLan
 * @date 2018/5/24
 * @url https://noahlan.com
 */
object MD5Util {
    fun encrypt(source: String): String {
        return encodeMd5(source.toByteArray())
    }

    fun encodeMd5(source: ByteArray): String {
        try {
            return encodeHex(MessageDigest.getInstance("MD5").digest(source))
        } catch (e: NoSuchAlgorithmException) {
            throw IllegalStateException(e.message, e)
        }
    }

    fun encodeHex(bytes: ByteArray): String {
        val buffer = StringBuffer(bytes.size * 2)
        for (i in bytes.indices) {
            if (bytes[i].toInt() and 0xff < 0x10)
                buffer.append("0")
            buffer.append(java.lang.Long.toString((bytes[i].toInt() and 0xff).toLong(), 16))
        }
        return buffer.toString()
    }
}