package cn.gygxzc.envir.api.sys.controller

import cn.gygxzc.tina.cloud.jwt.session.utils.SessionUtils
import com.gxzc.zen.common.dto.ResponseDto
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * Created by niantuo on 2018/9/21.
 */
@RestController
@RequestMapping("/v1/user")
@Api(tags = ["用户相关信息API"])
class UserController {


    @GetMapping("/info")
    @ApiOperation("获取用户个人信息")
    fun userInfo(): Any {
        val user = SessionUtils.getUser()
        return ResponseDto().data(user)
    }
}